summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/decorator/decorator-4.0.2.ebuild')
-rw-r--r--dev-python/decorator/decorator-4.0.2.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/decorator/decorator-4.0.2.ebuild b/dev-python/decorator/decorator-4.0.2.ebuild
new file mode 100644
index 00000000000..3fafdcc465a
--- /dev/null
+++ b/dev-python/decorator/decorator-4.0.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="http://pypi.python.org/pypi/decorator http://code.google.com/p/micheles/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( docs/README.rst )
+
+python_test() {
+ "${PYTHON}" src/tests/test.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && dodoc documentation.pdf
+ distutils-r1_python_install_all
+}